Fusion Creator : Main

Fusion Creator™

Fusion Creator™ is a powerful Program, Mix, Multisample, and Sample creator/editor for all Alesis Fusion workstations.

The Alesis Fusion line of workstations 61-key, 76-key, and weighted 88-key)were a new generation Workstation-style keyboard system that has excellent sounds and advanced functionality, for superior usage in the studio and playing live. The most immediate gratification of the Fusion is playing its unique and distinctive onboard sounds. However, the Fusion also allows for user-defined multisampled keymaps (called “Multisamples” with the same possibilities as the onboard ROM Multisamples. This functionality is accessible under the Sampler button on the Fusion.

Although the Fusion is a less flexible then the older specialized hardware samplers (e.g. Akai S-5000/Z-Series, Emu Emulator 4, Ensoniq ASR-10), and more less so then powerful software samplers such as Kontakt, it is still very powerful, and with the right software platform to assist in creating these sampled Multisamples and Programs, the Fusion can go beyond it’s stock sounds and fly high with your own custom Programs.

That is the goal and stated purpose of Fusion Creator™.

Like most (if not all) hardware musical instruments, the onboard display and provided access do not give access to the Fusion user-sampled area exceptionally well. Some Supermen have used it and worked with it, but among us Mere Mortals it's "in and out", since it is slow and difficult not only to view the total range of information, but also to apply new edits etc. Again, Fusion Creator™ leverages the natural power of your computer to access, display, and arange information that it's a perfect and powerful bridge to create and edit Fusion user-created content.

Fusion Creator™ takes advantage of only access to user Multisample data - via the files themselves. Fusion Creator™ is practically a virtual Fusion specialized for editing. You can make your own user Multisamples, edit and create your own Samples within those Multisamples, and much more. Fusion Creator™ also allows innovate ways to listen and audition those sounds. Since it's not a Fusion, it can't substitute for it, but with sampled sounds you can come awfully close. Most of the time, we foresee Fusion users to operate Fusion Creator™ to take care of the sampled side, since it more clear, powerful, and effecient then the Fusion itself, but when it comes time to tweak the sounds and do the realtime parameter editing, we expect them to write the files and read them into Fusion, edit away, then resave.

Fusion Creator™ also includes management of ROM data. Renaming objects (Programs, Multisamples, etc.) is a breeze on Fusion Creator™. You can manage your Categories (sometimes the center of most Fusion user's experience!) in new powerful ways beyond what the Fusion itself can do. You can even set up a library of Programs and create your own compilations to be written into a file for particular uses.

Fusion Creator™, while powerful, is still a simple application. It was designed to give you easy and intuitive access to Fusion data, with no funny business or confusing Corvette-looking widgetry.

Some notes regarding the documentation:

In this document, the term “right-click” also refers to “control-click” on a Mac. Only "right-click" will be used. Similarly, "Preferences" is term for different optional parameters that can be set in the program; on the Mac you will see the word “Preferences”, but on Windows you will see "Options". In this document, Preferences will be used. Graphics are all Mac, but look very similar to the Windows version.

Since the Fusion regards the middle C key on a keyboard (MIDI note 60) as C3, by default Fusion Creator™ shows the textual representation of MIDI note 60 as C3. This is the non-US representation. However, if you are more used to seeing C4 as middle C (like GigaStudio or other US models - or even some varied non-US samplers), you can change this in Preferences-General.

If you are a registered owner, you are qualified for free updates for the life of the program. You can download these from your program using the Check for Update feature, or from the Chicken Systems Update Area.

Fusion Creator™ is consistently supported by Chicken Systems, with updates appearing frequently.


Fusion Creator - Basic Concepts

Basic Concepts

The Fusion Creator™ Fusion Document represents a Fusion Volume. It can be one that is existing, or a new one that hasn’t been saved to disk yet.

Your experience with Fusion Creator™ revolves around creating a new (or opening an existing) Fusion Volume into a Fusion document, editing the objects within that document, then saving the document as a complete Fusion Volume. This saves all objects (Programs, Mixes, Multisamples, and Samples, into a single file/folder set.

A Fusion Volume consists of a folder called ‘Volume’, and contains folders called ‘Programs’, ‘Multisamples’, ‘Samples’, and ‘Mixes’. (If there are no files of that type, the folder won’t exist.) Inside those folders are folders that represent a Bank. Each folder has (mostly) the same-named folders in them. Inside those folders are the actual Program/Multisample/Sample/Mix files that contain the information.

Along with those folders and files are text files called ‘bank.txt’ These contain information that determines the Program number of the objects and the Favorites condition, These are mostly optional - they can be deleted with no harm - except you will lose any Favorites inclusions and any specific numbering of the Programs in the Bank.

Programs have the extension .AFP and contain references to Multisamples, either ROM or RAM. Multisamples have the extension .AFI and reference the Samples included in that Multisample. Samples have the extension .AFS and contain the sample data and other information.

Samples can be compressed and although Fusion Creator does not support playing those back, it certainly can maintain those objects and access them.

The Fusion Document shows you the most important aspects of the Fusion files: the Programs, the Oscillator/Zones within each Program, the Multisamples, and the Samples within a Multisample. These are represented in four Lists; the Programs with the Oscillator/Zones, and the Multisamples with the Samples. There is also a Mix List and a Part List, shown in the Mix View.

From there, you are free to add, delete, or edit any of the objects to your needs. For more information on the Fusion Document, where you’ll do the majority of your work, see The Fusion Document elsewhere in this document.

Each object has an Editor. There is a Program Editor, Oscillator/Zone Editor, Multisample Editor, and Sample Editor, and additionally, a Mix Editor and Part Editor. One editor can be open at a time, and it edits the current selection in the list on the Fusion Document. For more information on Editors, please see the Editors section elsewhere in this document.


Fusion Creator - The Fusion Document

The Fusion Document

The Fusion Creator™ Fusion Document represents a single Fusion file, existing or a new one that hasn't been written yet. Your experience with Fusion Creator relvolves around creating a new or opening an existing Fusion file, changing the objects within using the Fusion document, then saving the document which saves everything to the a new or existing Fusion file, for immediate use in your Fusion.

Lists
The Lists on a typcial Fusion Document show the principal objects; the Programs (List 1) and the Multisamples (List 3). The Oscillator/Zone List (List 2) shows the Oscillator/Zones contained in the currently selected Program, and the Sample List (List 4) shows the Samples in the currently selected Multisample.

There are also two other Lists; the Mix List and the Part List. These appear when you are in the Mix View.

The purpose of the Listst is so you can view the contents of the File that is represented by the document and apply functions to change, edit, or build up the file.

Views
Speaking of Views, the Fusion Document interface is highly customizable, so you can either have all the List on the document at one time (admittedly crowded), or you can see only what you want to see for handy editing. The Views are:

  • Program/Oscillator/Zone/Multisample
  • Multisample/Sample
  • Mix/Part/Program
  • "Four Corners" (Program and Oscillator/Zone on top, Multisample and Sample on the bottom)
  • Full View

You can choose which view you'd like with the Gear menu on the upper right, or the top level Views menu. For more information of Views, see the Views section in the manual.

Range Maps
On top of the Oscillator/Zone List and the Part List you can have Range Maps perched on top of them. This allows for graphical editing of the Ranges (Key and Velocity) of Each Oscillator/Zone or Part. Key is selected by the top button to the left of the Range Maps, Velocity by the second button. A green color indicates which Range you are looking at. The third button (yellow) gives you a context menu byselecting it, giving you some auto-mapping options, plus some viewing options. If you have no immediate use for them, you can hide them using the context menu or the Views top-level menu.

Having the Range Maps mounted on top of each other makes it easy to see how Oscillator/Zones or Parts are arranged against each other. You can alter the range by simply grabbing and pulling each end with the mouse. Selecting the middle of the range allows you to slide it back and forth.

(Remember, these Ranges are actually "Limits"; that is, with an Oscillator/Zone, you are restricting the key/velocity response. The Multisample the Oscillator/Zone refers to may have information beyond the limits, you are simply creating a samller "windows" into the Multisample (or Program, as with Programs) .)

Also remember that the Ranges do not appear on Drum Programs, since there are no Key/Vel Ranges to deal with, just the natural 1-Key limit of a Drum Oscillator/Zone.

Optional Displays
There are two option items you can display on a Fusion Document; the Keyboard Display and the Wave Display. The Keyboard Display shows the contents of the Multisample that is selected in the Multisample List, and also responds to dragging and dropping of external Samples into that Multisample. It makes mapping incoming samples a breeze. The Wave Display shows the Multisample of the Sample selected in the Sample List, for easy recognition.

For more information on the Optional Displays, see either the Keyboard Display or the Wave Display areas of this document.

Filtering Lists
The text field and popup menu above each list filter the lists contents. Typing into the text field filters the list based on what you typed; e.g. typing in "Trum" (without the quotes) in the text field above the Program List brings up Programs with the names "Trumpet Short", "TrumLngBrght", and "Guitar Strum". Multiple criteria can be inputted by seperating them with commas.

The popup menu varies with each List. but give you common ways of making each list more specific; e.g in the Sample List you can view just the external samples.

Performing Functions on List Objects
The whole purpose of Fusion Creator™ is to add, edit, delete and change objects. Programs can't be deleted per se but they can be initialized. A "blank" Program is one that starts with the letters "INIT" (case insensitive); initialized Programs usually have no sampled Multisamples referenced, just has the first Oscillator/Zone enabled, and is set to the first Piano Multisample.

Mostly what you'll edit in Programs is the contents of the Oscillator/Zones. Other then providing a set of real-time parameters, an Oscillator/Zone's main purpose is to playback a Multisample, whether it is a ROM Multisample or sampled (RAM) Multisample.

RAM Multisamples are listed in the Multisamples List. A RAM Multisample is a collection of non-overlapping samples across a MIDI Keyboard and with variable Velocity ranges. By selecting a Multisample in the Multisample List, the associated Samples show up in the Samples List, with their properties.

There are many ways of adding, editing, and deleting objects. Most of these are standard computer methods. More specific information will be given in other places in this document, so we'll cover them briefly here.

You can use the Gear and Plus (+) and Minus (-) buttons below each list. Clicking the Gear button exposes a Menu that is very much like the top-level menus titled Programs-Oscillator/Zones-Multisamples-Samples. You can apply the function to selected objects in the list, or to all of them, by selecting the popup menu next to the buttons (Apply to All, Apply to Selected).

Ctl/Right-clicking on a list brings up a Context Menu which is usually identical to the Gear Menu for that list. It ALWAYS applies to the selected items in that list.

Dragging objects is a very powerful editing method. All drags and drops do what you would think they would do. If you drag a Wavefrom and drop it on an Oscillator/Zone, it will set that Oscillator/Zone to that Multisample. If you drag a couple of WAVE files from outside Fusion Creator and drop them on the Sample List, it will automatically add those WAVE files to the Samples List. You can also drag Programs, Multisamples, or any object from one Fusion document to another.

The INS and DEL buttons are active to make new Multisamples or Samples, and Backspace serves as another DEL button.

Lastly, two very powerful functions are included on the Main Screen; Importing and Preparing. These are covered in depth in other areas of this document.


Fusion Creator - Views

Views

The Fusion Creator™ Fusion Document has several views so you can work effeciently. Sometimes it is important to get a birds eye look at your Fusion file, and sometimes you need to only look at a portion of the file.

Views can be acccess either by the Views top-level menu, or the Master Gear Menu oon the upper right of the document.

Fusion Volumes have up to six components to them:

  • Programs
  • Oscillator/Zones (within the Program file)
  • Multisamples
  • Samples
  • Mixes
  • Parts (within the Mix file)

Generally the Program is the Queen of the Bank, so much centers on the Program. Because of this, most Views have at least something to do with the Programs.

There are 5 Views, separated into 3 Categories: General, Detailed, and Special.

There are two General Views:

Full View
This includes from right to left: Program-Oscillator/Zones, Multisample-Samples.

This is a good general view of the Bank. You can select Programs and see the Oscillator/Zones that work within them. You can view the Multisamples, and view the Samples referenced by them. And you can assign Multisamples to Oscillator/Zones very easily, since the lists are fight next to each other.

Four Corners
This includes from right to left: Program-Oscillator/Zones, the below that left to right Multisample-Samples.

This performs the same purposes of Full View, except that it values the details of each view (you can see more of the columns) because of 2x2 alignment. Full view is more valuable when you want to see more entries of one list.

There are 2 Detailed Views:

Program-Oscillator/Zone-Multisample View
This includes from right to left: Program, Oscillator/Zones, Multisamples.

This is when you are most concerned with assign already-designed Multisamples to Oscillator/Zones. The Samples list is omitted since you are already comfortable with the contents of the Multisamples.

You have more horizontal information since there are only 3 lists.

Multisample-Sample View
This includes from right to left: Multisamples and Samples

This is for hardcore Multisample designing, you can see the minutae of the Multisamples and of the Samples. You are not concerned with Programs or anything other then the Multisamples and Samples.

You have much more horizontal information since there are only 2 lists.

Finally, there is one Special View:

Mix View
This includes from right to left: Mixes, Parts, and Programs.

This is the Mix Editor, where you can assign Programs to Parts, and thus develop your own Mixes easily. Mixes do not exist on any other list, since Programs are more commonly used and Mixes are "far away" from Multisamples and their dealings.


Fusion Creator - Adding Objects

Adding Objects

You can add Programs, Multisamples, Samples, or Mixes by dragging objects into the Lists, by clicking the + button under the List, or pressing the Insert button (INS) on the computer keyboard.

Program List
Drop a Program from another Fusion document into this list, and it will add it to the Program List. (We should say it will replace the Program selected.) Or drop an external file, like a Kontakt .nki, Apple .exs, SoundFont, etc., or even one or more WAVE/AIFF files, on the Program List and it will create a Program and make Multisamples that will hold the samples. Clicking the + button or pressing INS will allow you to select one or more external Instruments to Import in (See Importing External Instruments for more information.)

Multisample List
Drop a Multisample from another Fusion document into this list, and it will add it. Or drop an external file, like a Kontakt .nki, Apple .exs, SoundFont, etc., or even one or more WAVE/AIFF files, on the Multisample List and it will create Multisamples that will hold the samples. (You then have to assign the Multisamples to Oscillator/Zones within Programs, if you wish.) Clicking the + button or pressing INS creates a blank Multisample, in which you can add Samples to.

Sample List
Drop a Sample from another Fusion document into this list, and it will add it. Or drop a WAVE/AIFF. When importing external samples, Fusion Creator™ assigns the first available key from the left of the keyboard and gives it a one note range. You can edit the range afterwards. Clicking the + button or pressing INS brings up a Open dialog where you can select WAVE/AIFF files to import.

Note: You can also add Samples by dropping them on the Keyboard Display at the bottom of a Fusion document. This provides an easy way to add a sample to a specific keyrange. For more information, see the Keyboard Optional Display in this document.

Sample Map Selection
if you press the CTL key as you drop samples on the Sample List, this brings up the Sample Map Selection dialog. This allows you to customize how your samples get mapped. It also contains a Pitch Detection option so instead of you figuring out what the pitches are, this dialog can figure it out for you, and place them on the correct keys.

Key Spread: Determines the key span of each sample.

Min/Max Key: Determines the boundaries of the samples.

LoVel/HiVel: Determines the LoVel and HiVel of the samples.

Root Key: When the Key Spread > 1, this determines where the span occurs compared to the RootKey.

Map Type: Chromatic, White, Black, Embedded Info, Note Num, Use Pitch Detection.

Fill in Gaps: If this is checked, then the Embed/NoteNum/PitchDetect settings will not stay single key options but the key range will spread, filling the gaps, so to speak.

Mix List
Drop a Mix from another Fusion document into this list, and it will add it to the Mix List. (We should say it will replace the Mix selected.) Note: you cannot import external foreign formats into the Mixes List yet, even if the format is a Mix-type (like a Roland Performance). This will be incorporated in a future version.


Fusion Creator - Deleting Objects

Deleting Objects

You delete objects in a List by clicking the minus sign (-) button under the List, selecting the "Delete" Gear, Ctl/Right-click Context, or top-level menu option, or by pressing the Delete button (DEL) on the computer keyboard.

The popup menus under the lists determine if you are deleting all the objects or just the selected ones.

Since it is impossible to delete a Program or Mix, in this context it means Initializing the Program(s).


Fusion Creator - Editing Objects

Editing Objects

You edit an object by double-clicking the object in the list, or by selecting the Gear or top-level menu “Edit...”. It is only possible to edit one object at a time, so if there are multiple objects selected in a List, only the first selection will be edited.

For Samples, there is also an additional “Edit External...” menu option. This allows you to edit the sample in an external editor that you specify in the Preferences dialog. For more information, please see the Editing External Samples section in this document.

When you edit, the appropriate editor appears. For more information on Editors, see one of the links below.

  • Click here to go to the Program Editor documentation
  • Click here to go to the Oscillator/Zone Editor documentation
  • Click here to go to the Multisample Editor documentation
  • Click here to go to the Sample Editor documentation
  • Click here to go to the Mix Editor documentation
  • Click here to go to the Part Editor documentation


Fusion Creator - Renaming Objects

Renaming Objects

You can rename any object by selecting it, then selecting it again. Although you can name things whatever you want, Fusion Creator will apply the natural Fusion text and length restrictions.


Fusion Creator - FusionPlayer

The FusionPlayer

Starting with Fusion Creator™ 1.2 is included the FusionPlayer, which can play from Fusion Creator™ itself a Fusion Document's Multisamples.

Simply select a Multisample in the Multisample list, right-click and select Play... (Or click the Multisample Gear menu and click play... The Multisample will load and you can play it on your MIDI keyboard. Make sure to select the correct MIDI In port in Preferences - Audio/MIDI.

IMPORTANT! On Windows the player is fixed to play out the ASIO type of driver and goes through ASIO4ALL. You can download this driver at www.asio4all.com. On Mac the output is fixed to Built-In Output.


Fusion Creator - Preparing and Editing Multisamples/Oscillator/Zones Externally

Preparing and Editing Multisamples/Oscillator/Zones Externally

One of the most powerful and innovative features in Fusion Creator™ is the ability to drag (or select via menu) an Oscillator/Zone, Multisample, or Sample outside of Fusion Creator and load it into a software sampler like Kontakt or a sample editor such as Sound Forge or PEAK. This effectively gives Fusion Creator™ a full-fledged real-time editing engine! Simply edit your object (Oscillator/Zone, Multisample, or Sample), save it, and focus back to Fusion Creator™ - Fusion Creator™ will then reference the new information, so when you eventually the save the document, those new changes will write into the new Fusion file.

So, what is "preparing"? Kontakt (or any other sampler or editing program) has no idea what a Fusion Multisample or Sample is, so if you dragged that object into it (or tried to load it), it would reject it. "Preparing" is the act of writing behind the scenes temporary files that will be provided to the editing app. After you've "prepared" the Oscillator/Zone/Multisample/Sample, the List is display it as "prepared", and then your drag to the destination app will be successful.

Future versions of Fusion Creator™ will allow you to automatically prepare every object; however, this is something you may not want to do because it may take a lot of time to perform, and chances are you won't be editing every Multisample. That is why it is implemented as a manual process. You can prepared several or all objects at once though, just use the top-level or Gear menus.

(Note: Currently Kontakt 4.2 and Kontakt 5 are supported formats, however, they do not support modulators, filters, or effects.)

Preparing a Multisample

First, locate the Multisample you want to edit or audition and select it in the Multisample List. Under Edit Status it says it's Idle; this means it's not prepared.
Click the Gear menu below and select Prepare Selected. Fusion Creator will then prepare the Multisample. You will know when it's done when the Edit Status column shows Prepared.

For the purposes of this example we will assume you have Kontakt, Native Instruments super-sampler. Open it up. Then drag the prepared Multisample out of the List and onto the Kontakt rack. The Multisample loads right into Kontakt!

Now, make some edits, add some samples, whatever. Save the Kontakt Instrument.
Now, go back to Fusion Creator™. The program will check to see if the prepared file has been updated; since it has, it updates the display and notes that it has been Imported. See the Edit Status column now; it says Imported. You have edited a Fusion Multisample using Fusion Creator™!

If you'd like to use another sampler besides Kontakt to audition or edit your Multisamples, you have to load the files manually. As of this writing, Kontakt is the only sampler that fully supports dragging into the interface. The file to load is in the AppData section of Fusion Creator:

Mac: | /Users/[you]/Application Support/Chicken Systems/Fusion Creator
Windows XP: | C:\Documents and Settings\[you]\ApplicationData\Chicken Systems\Fusion Creator (this assumes C: is your boot drive; also, ApplicationData may be a hidden folder)
Windows 7/Vista | C:\Users\[you]\AppData\Roaming\Chicken Systems\Fusion Creator (this assumes C: is your boot drive; also, AppData may be a hidden folder)


Fusion Creator - Editing Samples Externally

Editing Single Samples Externally

Fusion Creator™ can edit whole Multisamples (that is, keymaps) or single Samples on the Sample List. Fusion Creator™ is a powerful program, but perhaps it's greatest power is the open compatibility with other programs.

Instead of providing it's own battery of sample editing DSP functions like other programs do, Fusion Creator™ instead provides the ability to edit the referenced samples within a Multisample with any external sample editor you have installed on your system. These can be free editors such as Audacity, or powerful commercial ones like SoundForge, WaveLab, Peak, DSP-Quattro, or many others.

First you select your External Sample Editor in Preferences (see the screen shot on the right). Then, select your sample (or samples) in the Sample List, and either right-click or use the Gear menu and click on Edit Selected Samples. Fusion Creator™ will then transparently transfer the samples to a temporary location and open up the sample editor and that will open up the samples. Edit the samples at your leisure, and make sure to save them! Once you put the focus back to the Fusion Creator™ application, Fusion Creator™ will again references those new samples. Then, when you save your Fusion file, those edits will be included in your Fusion file.

This is extremely powerful for mass editing of samples, it can't get easier then this!


Fusion Creator - Exchanging Objects

Exchanging Objects

When you have multiple Fusion documents open, you can exchange information by dragging objects (Programs, Oscillator/Zones, Multisamples, Samples, Mixes, or Parts) from and to one another. You can multi-select objects and move them to another document.

For Programs and Oscillator/Zones, any user Multisamples that are connected are carried along with them. Also, with Programs and Oscillator/Zones, since there are a fixed set amount of them, they replace what you drop them on.

For Mixes and Parts, any Programs (and their User Multisamples that are connected) are carried along with them. Also, with Mixes and Parts, since there are a fixed set amount of them, they replace what you drop them on.


Fusion Creator - Auditioning Samples and Other Objects

Auditioning Samples and Other Objects

Fusion Creator™ allows you to audition both the individual samples of your Multisamples, but also your Multisamples themselves.

Samples
Click on the Play icon on the Sample you wish to audition on the Sample List. The Wave display shows in the Wave Display below if you have it shown.

Or, open the Sample Editor on an item on the Sample List, and click on the Play button on the Wave Display. You can adjust your sound outputs etc, in Preferences-Audio/MIDI tab.

Multisamples
To audition a Multisample, you can either use the included Fusion Player, or you can Prepare the Multisample.

The Fusion Player is much easier to use, see the Fusion Player section in this document for more information.

To use Preparation to be played back on an external software sampler, such as Kontakt to EXS24. (For more information on Preparation, please see the Preparation section in this document.) After the Multisample is prepared, drag it onto or load it into the software sampler, and play it back. You also may edit it and import it back into the Fusion document.


Fusion Creator - Importing External Instruments

Importing External Instruments

Fusion Creator™ contains the powerful Chicken Systems Conversion Engine, which powers our ubiquitous Translator™ program and other products. This enables you to import already-formed Bank or Instrument files, such as SoundFonts, Kontakt Instruments, EXS24 Instruments, GigaStudio files, and much more.

When you import an external Instrument, it adds Programs and Multisamples to their respective Lists. This is done by dragging or select via menu; for instance, if you drag in a Kontakt .nki and drop it on the Program List, it will convert the Kontakt file and add a Program to the first "blank" (that is, initialized) Program, and add the converted Multisamples to the Multisample List. Importing Banks simply creates one or more Programs to the Program list.

Remember that any importing is temporary until you save your Fusion document; importing does not write to the representative file automatically.

Fusion Creator™ supports just about any professional Instrument format that is available. (As of Fusion Creator™ version 1.2, Kontakt 4.2 and Kontakt 5 are supported.)

However, instruments off proprietary disks are not supported, and Instruments that come from exclusive protected libraries are not supported either. Reason Refills and HALion 3 files are not supported (they are encrypted just like protected libraries are, for some reason). Below is list of formats as of this writing we DON’T support for one reason or another. It is unlikely that any of the formats below will be incorporated in Fusion Creator because usually these files are encrypted for copy-protection reasons.

  • Kontakt Player 1 and 2 libraries (that use samples within .nks or .nkx files)
  • Structure Factory libraries (the ones that come off the 32+GB library, using “.big” files)
  • SampleTank files that use “2-pak” compression
  • ALL Steinberg HALion 3 and 4 files (Steinberg encrypts ALL files created with HALion (!))
  • Propellerhead Refills; any files in one, or a referenced file in a Refill
  • EastWest PLAY files (encrypted)
  • Garritan-distributed Aria (.sfz files with .audio files as the samples)
  • Stylus RMX Core Library-type files (includes XPanders)
  • Vienna Instruments (not the original .gig/exs/nki files, but the new Vienna Instruments player)
  • ALL Yellow Tools Independence files
  • Yamaha Motif factory banks that have the samples marked as “protected”, and ones that use the LPC or XPC compression; these are few though
  • Roland VP-9000


Fusion Creator - Editor - Program

Editor - Program

Program Editor This exposes some of the Program-level parameters (there aren't too many), and the Multisample assignments to the Oscillator/Zones. You can change the Oscillator/Zone assignments much like you do on the Main Screen.

To change the Oscillator/Zone parameters, you will need to use the Oscillator/Zone Editor, which you can invoke from the Program Editor.

Please note that until you close the dialog, none of the changes you make are permanent. If you make changes, and try to close the dialog, it will ask you if you want to save your changes. (This can be turned off in Preferences-General.) Also remember that even if you "save" those changes, your Fusion Document still can be reverted to its original state.

The are knob widgets to control most of the parameters, and Range Maps to control the Key and Velocity Ranges of the Oscillator/Zones.


Fusion Creator - Editor - Oscillator/Zone

Editor - Oscillator/Zone

Oscillator/Zone Editor This exposes the Multisample assignment for that Oscillator/Zone and all the Oscillator/Zone-level parameters. The Oscillator/Zone parameters on the Fusion are usually the most significant. You can change the Oscillator/Zone's assignment and edit any of the parameters.

Please note that until you close the dialog, none of the changes you make are permanent. If you make changes, and try to close the dialog, it will ask you if you want to save your changes. (This can be turned off in Preferences-General.) Also remember that even if you "save" those changes, your Fusion Document still can be reverted to its original state.

The are knob widgets to control most of the common parameters. There are also graphical envelope widgets to customize the envelopes.


Fusion Creator - Editor - Multisample

Editor - Multisample

Multisample Editor The Multisample Editor shows all the Samples assigned to the Multisample and performs much like the Multisample List on the Main Screen.

You can "prepare" a Multisample here and edit externally (see the External Editing topic in this document).

Additionally, you can also invoke the Sample Editor for a specific Sample in the Multisample from this Editor.

Please note that until you close the dialog, none of the changes you make are permanent. If you make changes, and try to close the dialog, it will ask you if you want to save your changes. (This can be turned off in Preferences-General.) Also remember that even if you "save" those changes, your Fusion Document still can be reverted to its original state.


Fusion Creator - Editor - Sample

Editor - Sample

Sample Editor This shows the sample-specific parameters (Tune, Pan, Volume, Ranges, Start/Loop points, etc.) and shows the full Multisample display, where you can audition the sample.

You can edit the KeyRange and Velocity Range parameters here. Please remember that in a Fusion Multisample there can not be overlapping ranges, even though this editor will allow you to do so. If there are overlapping samples when you save the Fusion file, it will warn you and give you the option to Cancel and repair the overlaps (then resave), or it will automatically repair the overlaps. However, keep in mind that it may make decisions you do not want.

You can "prepare" a Sample here for external editing (see the External Editing topic in this document). You can replace the sample with another one, plus you can edit the sample using an external sample editor. A small but helpful complement of DSP functions is also included.

Please note that until you close the dialog, none of the changes you make are permanent. If you make changes, and try to close the dialog, it will ask you if you want to save your changes. (This can be turned off in Preferences-General.) Also remember that even if you "save" those changes, your Fusion Document still can be reverted to its original state.

The are knob widgets to control most of the parameters, and Range Maps to control the Key and Velocity Ranges.


Fusion Creator - Editor - Mix

Editor - Mix

Mix Editor The Mix Editor shows all the Parts contained in the Mix, plus some of the Common parameters.

Please note that until you close the dialog, none of the changes you make are permanent. If you make changes, and try to close the dialog, it will ask you if you want to save your changes. (This can be turned off in Preferences-General.) Also remember that even if you "save" those changes, your Fusion Document still can be reverted to its original state.

The are knob widgets to control most of the parameters.


Fusion Creator - Editor - Part

Editor - Part

Part Editor The Part Editor shows all the Parts assigned to the selected Mix and performs much like the Part List on the Main Screen. You can "prepare" a Part here. Additionally, you can also invoke the Sample Editor for a specific Sample in the Multisample from this Editor.

Please note that until you close the dialog, none of the changes you make are permanent. If you make changes, and try to close the dialog, it will ask you if you want to save your changes. (This can be turned off in Preferences-General.) Also remember that even if you "save" those changes, your Fusion Document still can be reverted to its original state.

The are knob widgets to control most of the parameters.


Fusion Creator - AutoSampler

AutoSampler

Fusion Creator™ has a spiffy plugin called AutoSampler. This automatically sends MIDI notes to internal and external sound sources and record them, all automatically, and then output into any of the formats Translator™ supports.

To autosample an external or an internal device, follow the following steps:

  • Set your MIDI Out and Audio In devices appropriately. (Audio/MIDI page)
  • If you are sampling an internal device, open it and set the MIDI IN and Audio Out to the corresponding MIDI In MIDI Out and Audio In preferences set in Autosampler. Of course, make sure the MIDI Channels are the same. If sampling an external device, make sure the proper audio cables are going into the port specified in Autosampler.
  • Set your preferences concerning what notes you want sampled, and how many velocities you want sampled. (Placement page)
  • Click Record, the tabs on Autosampler shift to the Operating tab where the progress bars exist, and sit back and watch.

External MIDI and Audio devices are standard on Mac and Windows; the ports are embedded in the operating system, and if you are using external gear, you've already installed those drivers. But virtual MIDI and Audio cables aren't standard in either the Mac or Windows, so you need to get some additional software if you record software instruments such as Kontakt, EXS24, MachFive, etc.

These are called Virtual Cables. Sometimes they are referred to a Ports, but we feel calling them Cables is more precise, since we are talking about connecting two devices at two ends. A Cable illustrates both "ends".

You need to establish a Virtual MIDI Cable, so you can send MIDI from AutoSampler to the internal software application, plus set up a Virtual Audio Cable, so you can capture the internal device's audio.

NOTE: The following contains external links that may become bad over time. We will attempt to keep these up to date. If any of them fail, please ask us for the latest information.)

Recording Internal Devices
 Mac Virtual MIDI: Fortunately, OSX offers this natively, but you have to manually set it up. Open the Audio/MIDI Utility applet in your Mac's Utilities folder. Create a new virtual MIDI port; by default this is called "IDC Output A". After establishing this, it will then show up in the AutoSampler's MIDI Out list. You will also need to choose this in your internal device's MIDI In list.

Mac Virtual Audio: We recommend using Cycling74's free SoundFlower system (download it at Cycling74's web site). SoundFlower is a inter-application audio device. After you install it, a Audio In SoundFlower device will appear in AutoSampler's Audio In list. Again, you will need to make sure that your internal device is outputting on SoundFlower's output port.

Windows Virtual MIDI: Windows doesn't provide this, but a free driver and app called loopMIDI by Tobias Erichsen supplies this. Download it and install it. Open the app, that's all you have to do. After establishing this, it will then show up in the AutoSampler's MIDI Out list. You will also need to choose this in your internal device's MIDI In list.

Windows Virtual Audio: The one we use is VB-Audio Cable, which is free from VB-Audio Software (download it at VB-Audio Software's web site. After you install it, a "Virtual Audio Cable" device will appear in AutoSampler's Audio In list. Again, you will need to make sure that your internal device is outputting on Virtual Audio Cable's output port.

Templates
Once you have used Autosampler a couple times, you'll have some set note payouts and setups you'll want to save. You can do that in the Load/Save As... buttons to the right. Save As.. saves your current work, Load saves templates you've saved earlier. They are contained as .ast files in your Application Support folder:

Mac: | /Library/Application Support/Chicken Systems/[appname]/AutoSampler Templates XP: %SYSTEMDRIVE%\Documents and Settings\[username]\Application Data\Chicken Systems\[appname]\AutoSampler Templates
WinXP: | %SYSTEMDRIVE%\Documents and Settings\[username]\Application Data\Chicken Systems\[appname]\AutoSampler Templates
Win8/7/Vista: | %SYSTEMDRIVE%\Users\[username]\AppData\Roaming\Chicken Systems\[appname]\AutoSampler Templates (note AppData may be hidden)

Once you've got your ports all set up, you are ready to do some autosampling! Once you've autosampled a external Program, ti will appear as a Program in the next avaialble Program in your Fusion Document. Once you've done it a couple times, it will feel like second nature.

Below are the explanations for each page of the Autosampler.

Audio/MIDI
Choose your MIDI Out port and your Audio In ports here. Set your output MIDI Channel here too.

You can test the MIDI out with the MIDI Test button, and set the note and velocity using the selections below. Even better, check the w/keyboard check box and test using your MIDI keyboard.

You can also test incoming audio by pressing Audio Test, and looking at the meters above. You may not be able to hear the audio coming in, but this should be no worry.

Placement
This is where you will select what MIDI notes will be recorded and how many and at what velocities. Simply choose the notes on the Octave and Key buttons; the MIDI keyboard graphic will show you what you have chosen. You can also select your notes via MIDI keyboard by checking the Select via MIDI checkbox.

We have supplied some handy Placement Presets. These are the most common placements, allowing for guitars and other common instruments. Note: the reason there is preference for sampling D's and A's is because harmonically these are much easier to loop.

There is also a KeyRange slider below the keyboard graphic; this limits the keyrange extends of the ultimate Program that is created. Normally, AutoSampler fills in all spaces between notes you choose not to record (except when KeySpread is "Single Key"), so this determines the limits of the extreme low and high ranges. Note: All velocity spaces are always filled in.

The keyboard graphic has arrow buttons on both sides, allowing you to shift the placed notes up or down by an octave. By pressing CTL while clicking on the arrows, you shift down by a single note.

Number of Programs: This is the amount of programs you will record. If >1, a Program Change is outputted, changing the Program that you are recording. Also, Start Number is enabled, allowing you to set the beginning Program Change number that will be sent.

Start Number: See above.

Number of Velocities: This the amount of velocities that you will record. See Velocity Curve below for the ranges this parameter enabled if >1.

Root Key Anchor: AutoSampler automatically sets keyranges to fill in all the notes that you aren't recording. This parameter determines hwo these are placed in respect to the note (Root Key) that you recorded. Middle means half the keyrange goes down and half goes up. LoKey means the record note is the lowest note of the range, whereas HiKey means the recorded note is the highest note of the range. Hint: although Middle is a good compromise, usually HiKey is a good selection because most audio sounds better transposed downward than upward; plus the slower playback gives it more time before a possible loop.

Key Spread: Most of the time you'll select Full, which means all areas between LoKey-HiKey are filled in. When set to Single Key, the keyranges are always 1 note in length and there is no filling in of notes not recorded.

Velocity Curve: This determines the velocity ranges if you are recording >1 velocities. Linear means that every range is equal in height. The Convex values mean that lower velocities are larger and higher velocites are smaller (meaning you have to hit harder to get the high velocity sounds), and the Concave values are the opposite; higher velocity sounds are more likely to be sounded. Note: to be specific, the velocities that are actually record are always the HIGHEST velocity determined by the curve. This is because everyone wants to hear the velocity=127 sound, but no one wants to hear the Velocity=1 sound, mostly.

The Velocity graphic on the bottom shows you at a glance what velocities you have programmed. This reflects the Velocity Curve set.

Recording
These are the parameters exclusively dealing with recording.

Input Level: This is the input level of the audio. Generally you will want to leave this at 0db and adjust whatever is incoming with it's own controls.

Recording Time: This is the amount of time recorded. Please remember that any silence BEFORE or AFTER the sound is automatically trimmed, so the final result maybe not be this amount of time.

Start Threshold: This is the level of audio required for the recording to actually commence saving of the recorded audio.

Allow Silence: Sometimes you want to record the extra silence after the sound has died away. This can be handy for noise reduction processing you do later.

Processing
Once the audio is recorded, there are a couple things that you might want to do with it. You will likely want to loop it and probably normalize it.

Add Loop: This turns on the loop in the destination format. The slider sets the approximate loop start area you want to set. Note: This is approximate; if you choose to loop, the engine will make some decisions about the best place to loop BASED ON this parameter.

CrossFade Loop: (Only available when AddLoop is checked.) This hardcodes a crossfade loop into the recorded sample. The slider determines the length of the crossfade; we recommend values around 4000 samples.

Proportional Normalize: This boosts all samples up to 0db level at highest, with one twist: it takes the highest level in ALL the recorded samples, and normalizes all the samples regarding that level. This way, the balance of levels is preserved. This is highly recommended to be checked.

Chop and Add Parameter Attack: Sometimes the data that is under a relatively slow attack is the same as the sustained portion. Checking this tells AutoSampler to truncate all data up to the highest level (before the loop start if there is one), calculate the time it took to get there, and writes the AmpEnv Attack parameter accordingly.

Do Not Trim: This diables the automatic trimming AutoSampler does post-recording. Again, this is often used in conjunction with the Allow Silence parameter, where you want the silence after the sound to use for your manual post-processing.

Record Channels: This determines the output format of the samples, either Stereo or Mono.

(Note: this graphic be look slightly differently in Fusion Creator.)

Switches
This handy features allows you to sample Instruments that play different sounds based on Keyswitching, or Controller switching, or Round Robin. You likely will know some advance information on where those keyswitches are located or what controller number switches things.

For Controller switching, the values sent before recording are listed in the middle right box. You can edit them, but make sure there is one value per number of controllers you have selected.

Since the Fusion does not support any kind of switching, each Keyswitch or Controller switch will appear as a separate Program.
Parameters
AutoSampler gives you a selection of default parameters that will be written into your output format. This is handy for including modulators like pitch bend or LFO->ModWheel->LFO, or just the simple task of turning on the filter so you don't have to.


Fusion Creator - Menus - File

Menus - File

New
Creates a new Fusion Document.

Open
Displays a common Open dialog where you can open an existing Fusion Volume folder. This will be displayed in a new Fusion Document.

Open Recent
A list of previously selected Fusion Documents.

Revert to Saved...
Reverts the current Fusion Document to the original saved version it references. If the current state of the document is Edited, Fusion Creator™ will ask you if you want to save your changes elsewhere.

Close Window
Closes the current Fusion Document. If the current state of the document is Edited, Fusion Creator will ask you if you want to save your changes.

Import...
Allows you to select a non-Fusion format to import into Fusion Creator and create a new Fusion Document from it. This uses the famous Chicken Systems Conversion Engine™ to accomplish the importing.

Export Program List Text
Saves a Text file listing the contents of the Fusion Document. See Preferences - Import for different options how this list is formatted.

Export All Samples
This exports all the samples in a Fusion Document to WAVE, AIFF, CAF, or SND sound files.

Save
Saves the current Fusion Document, overwriting any previous information. Currently you cannot save into another Fusion type; although this will be possible in a upcoming version.

Save As...
Saves the current Fusion Document, allowing you to name it and write it anywhere. Currently you cannot save into another Fusion type; although this will be possible in a upcoming version.

Quit/Exit
Quits the whole mess.


Fusion Creator - Menus - Program

Menus - Program/Mix

These Functions are also accessible via the Function Buttons on the Main Interface on the bottom of the Main Screen. These Functions are also accessible via the Function Buttons on the Main Interface on the bottom of the Main Screen. The menu is the same for Programs or Mixes, they apply the same.

Import
Allows you to import a non-Fusion file into the current Fusion Document. It will replace the first "blank" Fusion Program (starting with the text "Init").

Initialize Selected (or All)
Initializes the selected Program, or all the Programs in the Fusion Document. (Dependent on the setting of the PopupMenu under the Program List.)

Duplicate
This duplicates the Program or Mixes selected.


Fusion Creator - Menus - Oscillator/Zone

Menus - Oscillator/Zone

Import
Allows you to import a non-Fusion file into the current Fusion Document as one or more Multisamples. It will create the Multisamples(s) and then assign them to the currently-select Oscillator/Zone (including the real-time parameters such as envelopes and filters). If momre then one Multisample is created, it will assign them to any other "empty" Oscillator/Zones in that Program.

Initialize Selected (or All)
Initializes the selected Programs, or all the Programs in the Fusion Document. (Dependent on the setting of the PopupMenu under the Program List.)


Fusion Creator - Menus - Multisample

Menus - Multisample

These Functions are also accessible via the Function Buttons on the Main Interface on the bottom of the Main Screen.

New...
Adds a new blank Multisample to the Fusion Document.

Import...
Imports a foreign file as a new Multisample.

Prepare Selected...
Prepares the selected Multisamples in the Fusion Document.

Import Selected...
Re-imports the already Prepared Multisamples in the Fusion Document.

Delete Selected...
Deletes the selected Multisamples in the Fusion Document.

Duplicate
Duplicates the selected Multisamples in the Fusion Document.

Merge...
Merges the selected Multisamples in the Fusion Document.

Spilt...
Splits the selected Multisamples in the Fusion Document.

Remove Duplicates
Macro function that analyzes each Multisample and makes sure there are no duplicates. It also updates the references in the Oscillator/Zones of the Programs automatically.


Fusion Creator - Menus - Sample

Menus - Sample

These Functions are also accessible via the Function Buttons on the Main Interface on the bottom of the Main Screen.

Add->Folder
Allows adding a folder of sample files to the currently selected Multisample. Fusion Creator™ will include all sample files immediately within the Folder and within any sub-Folders.

Add->Files
Allows adding one or more sample files to the currently selected Multisample.

Delete Selected (or All)
Deletes the selected Samples, or all the Samples in the currently selected Multisample. (Dependent on the setting of the PopupMenu under the Sample List.)


Fusion Creator - Menus - Mix

Menus - Mix

These Functions are also accessible via the Function Buttons on the Main Interface on the bottom of the Main Screen.

Import
Allows you to import a non-Fusion file into the current Fusion Document. It will replace the first "blank" Fusion Mix (starting with the text "Init").

Initialize Selected (or All)
Initializes the selected Mixes, or all the Mixes in the Fusion Document. (Dependent on the setting of the PopupMenu under the Mix List.)


Fusion Creator - Menus - View

Menus - View

Program/Oscillator/Zone/Multisample View
This includes from left to right: Program, Oscillator/Zones, Multisamples.

Multisample/Sample View
This includes from left to right: Multisamples and Samples.

Mix View (All Files only)
This includes from left to right: Mixes, Parts, and Programs.

Four Corners
This includes from left to right: Program-Oscillator/Zones, then below that, from left to right, Multisample-Samples.

Full View
The standard 4-List view. This includes from right to left: Program-Oscillator/Zones, Multisample-Samples.

Keyboard Display
Shows or Hides the Keyboard Display on the Fusion Document. Please note that it does not display in the Mix View.

Wave Display
Shows or Hides the Wave Display on the Fusion Document. Please note that it only displays when the Sample List is visible.

Oscillator/Zone Ranges
Shows or Hides the Oscillator/Zone Range widgets on top of the Oscillator/Zone List.

Part Ranges (All Files only)
Shows or Hides the Part Range widgets on top of the Part List.


Fusion Creator - Menus - Help

Menus - Help

Search
Hey, OSX puts this there automatically. We really don't know what it is.

Contents
Displays the Help File; that is the manual. Hey, READ IT!!! =)

Troubleshooting
Goes to the Troubleshooting page in the Manual.

Bug Reports
Goes online to the Chicken Systems Fusion Creator Bug Report page. You can fill out the form there and submit any applicable files, to report any issues Fusion Creator has.

Sending Files
Displays the Help File section about sending files within Bug Reports.

Fusion Creator Home Page
Goes online to the Chicken System's Fusion Creator Home page.

Check For Updates
Contacts the Chicken Systems Update Server online and checks if there is a update for your current running version of Fusion Creator.

Online Documentation
Goes online to a online version of the Help File. Usually the same thing as the Help File.

Support - Forum
Goes online and takes you to the SamplerZone Fusion Creator forum. You can get questions answered here, as well as meet up with the most amazing people you'll ever want to meet.

Support - Online Chat
Opens a online Chat window, where you can chat with a Chicken Systems engineer during business hours and sometimes outside of business hours.

Support - Email
Allows you to directly send an email to Chicken Systems. All emails are replied to within 24-48 hours.

Support - Movies
Goes to the Fusion Creator Product Video site for a full range of product videos and instruction.

About Fusion Creator™
Shows the Fusion Creator™ Splash Screen, which shows you your registration information and the current version number you are using.


Fusion Creator - Menus - Gear - Master

Menus - Gear/Context - Master

New...
Adds a new blank Multisample to the Fusion Document.

Prepare Selected (or All)
Prepares the selected Multisamples, or all the Multisamples in the Fusion Document. (Dependent on the setting of the PopupMenu under the Multisample List.)

Import Selected (or All)
Re-imports the already Prepared Multisamples, or all the Multisamples in the Fusion Document. (Dependent on the setting of the PopupMenu under the Multisample List.)

Play...
This loads the Multisample into the MC Player, so you can play the Multisample through MIDI.

Split Selected... (or All)
This splits the Multisample(s) in half, one getting the lower values, a new copy getting the top half, in the Fusion Document. (Dependent on the setting of the PopupMenu under the Multisample List.)

Merge Selected (or All)
Merges the selected Multisamples, or all the Multisamples in the Fusion Document. (Dependent on the setting of the PopupMenu under the Multisample List.)

Duplicate Selected (or All)
Duplicates the selected Multisamples, or all the Multisamples in the Fusion Document. (Dependent on the setting of the PopupMenu under the Multisample List.)

Delete Selected (or All)
Deletes the selected Multisamples, or all the Multisamples in the Fusion Document. (Dependent on the setting of the PopupMenu under the Multisample List.)

Remove Duplicates
Macro function that analyzes each Multisample and makes sure there are no duplicates. It also updates the references in the Oscillator/Zones of the Programs automatically.


Fusion Creator - Menus - Gear/Context - Program

Menus - Gear/Context - Program

Import
Allows you to import a non-Fusion file into the current Fusion Document. It will replace the first "blank" Fusion file (starting with the text "Init").

Initialize Selected (or All)
Initializes the selected Programs, or all the Programs in the Fusion Document. (Dependent on the setting of the PopupMenu under the Program List.)


Fusion Creator - Menus - Gear/Context - Multisample

Menus - Gear/Context - Multisample

New...
Adds a new blank Multisample to the Fusion Document.

Prepare Selected (or All)
Prepares the selected Multisamples, or all the Multisamples in the Fusion Document. (Dependent on the setting of the PopupMenu under the Multisample List.)

Import Selected (or All)
Re-imports the already Prepared Multisamples, or all the Multisamples in the Fusion Document. (Dependent on the setting of the PopupMenu under the Multisample List.)

Play...
This loads the Multisample into the MC Player, so you can play the Multisample through MIDI.

Split Selected... (or All)
This splits the Multisample(s) in half, one getting the lower values, a new copy getting the top half, in the Fusion Document. (Dependent on the setting of the PopupMenu under the Multisample List.)

Merge Selected (or All)
Merges the selected Multisamples, or all the Multisamples in the Fusion Document. (Dependent on the setting of the PopupMenu under the Multisample List.)

Duplicate Selected (or All)
Duplicates the selected Multisamples, or all the Multisamples in the Fusion Document. (Dependent on the setting of the PopupMenu under the Multisample List.)

Delete Selected (or All)
Deletes the selected Multisamples, or all the Multisamples in the Fusion Document. (Dependent on the setting of the PopupMenu under the Multisample List.)

Remove Duplicates
Macro function that analyzes each Multisample and makes sure there are no duplicates. It also updates the references in the Oscillator/Zones of the Programs automatically.


Fusion Creator - Menus - Gear/Context - Sample

Menus - Gear/Context - Sample

New...
Allows adding one or more sample files to the currently selected Multisample.

Duplicates Selected (or All)
Duplicates the selected Samples, or all the Samples in the currently selected Multisample. (Dependent on the setting of the PopupMenu under the Sample List.)

Delete Selected (or All)
Deletes the selected Samples, or all the Samples in the currently selected Multisample. (Dependent on the setting of the PopupMenu under the Sample List.)

Edit Selected (or All)
Sends the selected (or All) samples to the saved Sample Editor as selected in Preferences - General. (Dependent on the setting of the PopupMenu under the Sample List.)

Create Multisample from Selected Samples...
Creates a new Multisample from the selected samples (or All) in the Sample List.


Fusion Creator - Menus - Gear/Context - Perforamnce

Menus - Gear/Context - Mix

Import
Allows you to import a non-Fusion file into the current Fusion Document. It will replace the first "blank" Fusion Mix (starting with the text "Init").

Initialize Selected (or All)
Initializes the selected Mixes, or all the Mixes in the Fusion Document. (Dependent on the setting of the PopupMenu under the Mixes List.)


Fusion Creator - Preferences

Fusion Creator™ Preferences

The Preferences dialog is viewed by clicking on App Menu-Preferences (Mac) or Tools-Options top menu (Windows). Note that on Mac "Preferences" are called Preferences and on Windows Preferences are called Options.

General Tab

Prepare Audition Format
This is the format that is written when preparing a Multisample for auditioning.

Parameter Tolerance
When importing into Fusion format, there may be structural limitations where if you wanted to ensure all parameters were converted perfectly, you'd end up with multiple Programs/Presets being created, perhaps in more of a mess than you prefer. Setting Parameter Tolerance to a higher percentage gives some grace to these parameters so the conversion will be a little exact but you'll wind up with a cleaner organization that will be more usable to you.

Use Custom Editor for Sample Edits
This is the app that you'll use for editing samples within the Fusion Document. Good sample editors are SoundForge (Mac/Windows), Peak (Mac), DSP Quattro (Mac), Audacity (Mac/Windows), Adobe Audition (Mac/Windows) and more.

Color Keyboard with selected Multisample Ranges
Usually this is set to be on. This colors the onscreen Keyboard with the ranges of the Samples within the currently selected Waverform.

Autoload Multisamples when selected
Checking this has the MC Player load Multisamples as they are selected, allowing you to audition them via MIDI.

Middle C displays as...
On some samplers/keyboards, middle C is defined as C4 (usually U.S.) while others it is C3. All Fusions show it as C3, and by default this is what is shown throughout the program through any Note Number (i.e. A#5, E1, etc.) However, you may feel comfortable seeing it as C4. This control sets the display of Note Numbers program-wide.

Check For Updates
Unchecking this turns off Fusion Creator checking for updates automatically when starting up.

Colors Tab

Might as well make your Wave Display look great, right? These are the options you have on what your Wave Display looks like.

Import Tab

Import Mapping Type
When adding samples to a Multisample, this option allows you to select and operate many different informational mechanisms to map the samples where you want them to go.

  • Chromatic: This simply puts each sample on single notes, from lowest to highest. You also have the option of selecting all keys, only white keys, or only black keys.
  • Embedded Root/INST: Pays attention to RootKey or INST chunk information embedded in the incoming files. An INST chunk contains LoKey, HiKey, LoVel, and HiVel information, but is relatively rare in sample files.
  • Velocity: Instead of mapping on adjacent keys, it will map on a single key, into adjacent velocity ranges.
  • Name Pattern: Looks into the File Name and tried to detect the pattern listed in the text box below.

Use KeyRange
This is the keyrange limits placed on imported samples. This means all samples placed will not exist outside these limits. If this is not checked, they are assumed as 0-127.

Use Velocity Range
This is the velocity range limits placed on imported samples. This means all samples placed will not exist outside these limits. If this is not checked, they are assumed as 0-127.

Spread
This determines the default spread between LoKey and HiKey the sample will receive.

Export Tab

Destination Sample Type
Fusion Creator allows you to export the samples in the Fusion Document out into single samples; this option selects the type. They can be WAVE, AIFF, CAF, or Akai SND files.

Create Folder for Multisamples
If this is checked, Fusion Creator will organize the samples per Wavveform and put them into f0olders named after the Multisamples. Otherwise, the samples in the Fusion Document will just be written flat.

Write "Inst" chunk into sample files
Although this is not used often in musical circles, a WAVE or AIFF file can hold keyrange and velocity range information for a sample. If this is checked, Fusion Creator will write this chunk into the sample. It does not affect the sound of the sample, but it simply preserves it if it will be used again in the same context.

Write SFZ file for every Multisample
This can be handy if you want to observe the layout of each Multisample, or perhaps if you want to import it into another sampler.

Export Text
This controls the listing option in Fusion Creator. You can export a formatted list of the contents of a Fusion Document for organizational purposes.

Delimiter
This controls the way the linefeeds are written for separated textual lines.

Include Bank - Slot Numbers
A Bank - Slot number is formatted like this: USER1:D14; checking this puts it into the document.

Exclude Blank Programs
Sometimes the User banks have a lot of Programs or Mixes with INIT has it's name and they don't include anything in them. This option eliminates them from the list.

Data Processing Tab

Fusion Creator can import WAVE/AIFF files that have not been beat detected (that is, the transients have not been calculated) and Fusion Creator will detect those transients and import them just like Recycle/ACID/AppleLoops.

But, let’s talk about what a “slice file” (a Recycle file, ACID file, or AppleLoop) is.

What Is A Slice File
A WAVE or AIFF file is simply a piece of audio data. And any “slice file”, such as a Recycle file, ACID file, AppleLoop, or Stylus RMX file, are just pieces of audio data as well.

The only difference between a regular sample file and a slice file is that a slice file has markers written in a information chunk in the file. These markers are placed strategically where transients (sharp sounds) in the file start, so a player that reads slice files knows where the slices are. This is how a Slice File can be played back at various tempos: the player plays back a slice at the position the tempo dictates. At faster tempos, the slices fade out to make way for the next slice; at slower tempos, there is a gap between the slices. (However, some players artificially add sample data to “plug the holes”. Also, good Slice Files are originally recorded at the slowest tempo reasonably allowed, so they never have to be played back at a slower tempo than their “unity tempo”.)

To create a Slice File, one has to “slice” the audio into slices of energy (“beats”) so the playback engine plays it back in a way that makes rhythmic sense. This requires a beat detector.

Slice editors, most notably Recycle, but also ACID itself and the AppleLoop Utility that Apple provides, have beat detection. They do 2 things: They beat-detect a sound file, plus they can play the slice files back at different tempos. They do this with the assistance of the detected markers. Once you have what you want, then you save into a slice file, where the audio stays constant but the markers are written in the file. So when a slice player reads the file, the slices are the secret to it’s capability to play them back at any tempo.

Fusion Creator’s Beat Detection
Fusion Creator now has a Beat Detector, giving you the ability to import WAVE/AIFF files just like Slice Files.

It is vitally important to pay attention to these Beat Detector preferences. The defaults work for most clear and simple beats, but they definitely will not work with everything. You will need to experiment with these on a case-by-case basis, but keep trying, there usually is a solution to any rhythmic piece of data.

Here is the explanation of the Beat Detector’s parameters:

  • Type: The Beat Detector uses two passes through the audio to detect beats. The first pass does the best detection it can, then the second pass “checks” the results.
  • Threshold: This is like the Sensitivity control on Recycle and other slice editors. Higher values produce less detection, lower values produce more detection.
  • Silence: This is terms of samples. This is the MINIMUM amount of samples that need to exist between markers. If you are getting lots of “double beats”, raise this value.
  • Tempo: You can bypass the whole detection thing and just put slice points at beat values, regardless of whether a burst of energy exists at that point.

Importing Slice Files is not as seamless nor as perfect as it appears. But it is very doable, don't let these options deter you.

Pitch Detection
Pitch Detection is helpful making a chromatic instrument out of bunches of WAVE/AIFF files. Try dropping a host of WAV files of (say) a multisampled trumpet, and Fusion Creator detects the pitch of each sample and places it on the appropriate MIDI key for it’s pitch, and then sets KeyRanges to fill up the spaces in-between the notes. All of a sudden, you have a trumpet sound on for your Fusion without the work of applying the proper rootkey and keyranges.

The Pitch Detection parameters determine how accurate or precise the pitch detection is. Pitch detection does rely on certain variables so different types and styles of pitch detection do a better or worse job than others. Try what seems best for you.

Audio/MIDI Tab

Audio Driver Types
These are the Sound Driver types on your system. Selecting one shows the Audio Outputs and Audio Inputs on the lists to the right.

Audio Outputs
These are the outputs on your system for the selected Audio Driver Type. Selecting one selects the audio output for your app.

Audio Inputs
These are the inputs on your system for the selected Audio Driver Type. Selecting one selects the audio input for your app.

Audio Properties
Shows the Properties of the Output or Input that is selected on the left.

MIDI In Drivers
Allows you to select the current MIDI In driver that will drive the player in MV Kit Creator™. (Note: not applicable in MV Kit Creator™ Free.)

MIDI Out Drivers
Allows you to select the current MIDI Out driver that your application will send MIDI out from. (Note: not useful in MV Kit Creator™ LE or MV Kit Creator™ Free.)

Enable MIDI
Enables MIDI communication. (Does not have any effect in Free version.)

Enable MIDI Velocity
When unchecked, all MIDI notes coming in will be 127 in value.


Fusion Creator - Tutorials

Fusion Creator™ Tutorials

None available yet, keep posted. However, there are many videos and movies listed at the Chicken Systems Movies site; see www.chickensys.com/movies/fusioncreator


Fusion Creator - Troubleshooting

Fusion Creator™ Troubleshooting

Your Fusion Creator™ program should be rock-solid and give you no problems. However, there is always stuff that can go wrong.

You can start from scratch as far as Preferences go by trashing your preferences. You can do that by:

Mac | Go to /Users/username/Library/Preferences and delete the com.chickensys.fusioncreator.plist file
Windows | Use the Registry Editor to delete the key: HKEY_CURRENTUSER/Software/Chicken Systems, Inc./Fusion Creator
Mac or Windows | Start Fusion Creator™ with the SHIFT button pressed; or in the program, select Preferences-Restore Default Options

These techniques only trash your working preferences;they do not trash your registration codes etc.

For all other queries, please contact Chicken Systems Technical Support at the contact points listed under Contacting Technical Support in this document.


Instrument Manager - Sending Files

Sending Files

If you have a problem with a Fusion Docuemnt, or receive an error within Fusion Creator™ concerning a file, the BEST way to communicate that is to file a Bug Report and send us Bank or Instrument Project file, with a brief description of what the problem is.

Bug Reports
Our Bug Reports system has a form you fill out, that gets the information we need from you, and permits you to send us the source file directly from that web page.

We recommend you to use the page first. We do invite you to email us or call us with a problem, but most of the time we just direct people to the Bug Reports web site to document the information in writing and for them to send us the file. Chicken Systems has many users across the globe, and it is not possible to track all our users particular questions and issues through personal correspondence.

Once you establish an issue with the Bug Reports web site, you get an email back with a link to your issue that you can consistently check on daily. We try to close issues within 24 hours.

BUT, THE IMPORTANT THING IS TO ENABLE US TO EXACTLY REPLICATE YOUR ISSUE ON OUR END! THIS IS WHY WE NEED THE SOURCE FILE IN ALL CASES. PLEASE REMEMBER THIS!

Bug Reports Page: | www.chickensys.com/fusioncreator/bugreports
Email: | support@chickensys.com
FTP: | ftp.chickensys.com (please make sure file names DO NOT have spaces in them!) User: incoming@samplerzone.com Pass: filesend123
Hightail | www.hightail.com


Fusion Creator - FAQ

Fusion Creator™ FAQ

Your Fusion Creator™ program should be rock-solid and give you no problems. However, if you encounter any problems, consult the below common questions and this may help you. Past that, feel free to contact Technical Support at support@chickensys.com

Currently there are no entries in the FAQ.

Question:
Answer:


Fusion Creator Bug Reports

Redirecting...


Fusion Creator - Technical Support

Fusion Creator™ Technical Support

Chicken Systems Technical Support can be reached in many ways: Phone, Email, Chat, or via our SamplerZone.com Forum. Please give us a brief complete explanation of the problem. With Email and Forum questions, we try to respond within 24 hours, Please be patient if the answer does not arrive immediately.

You may Phone or Chat with us also if, after reading and looking at the documentation, you are stumped. Our usual office hours are 8am-6pm Monday-Friday. We are often in the office on weekends and holidays on an infrequent basis.

Phone | 800-877-6377 United States, 320-235-9798 elsewhere. Please do not mind the crabby technical support engineers.
Email | support@chickensys.com
Chat | www.chickensys.com, use the Chat link on the left
Forum | www.samplerzone.com/forums/fusioncreator


Fusion Creator - Updating

Updating Fusion Creator™

We update Fusion Creator™ as needed, for bug fixes, improvements, and additions to the library.

Fusion Creator™ automatically checks if there is a update available when you start it up. (If desired, you can turn this checking off in Preferences.) You can also check for updates by selecting Check for Updates under the Help menu. (This only works, of course, if you are connected to the Internet on that computer.)

If your Fusion Creator™ computer is not connected to the Internet, or for some reason you can’t run Fusion Creator™, you can check for updates at:

www.chickensys.com/fusioncreator/userupdates

You can check what is your Fusion Creator™ version number by checking the About Box (under Help in Windows and under the App Menu on Mac), or by checking Get Info [Mac] or Properties [Windows].

If there is an update available for you, you can download it and then move it to your program’s computer (if from a different computer). Run the updater and your program should be updated.


Fusion Creator - Contact

Contact, Comments, and Questions

Chicken Systems, Inc.
714 5th Street SE
Willmar, MN 56201
support@chickensys.com
800-877-6377 (US only)
320-235-9798 (elsewhere)

Name:
Email Address:
Subject:
Comment:


Fusion Creator - Credits

Fusion Creator™ Credits

Developing software is at the core a one-man process, but making it good requires a team.

Fusion Creator™ really benefitted from good teamwork and solid commitment to quality software.

Garth Hjelte, Project Lead
Jeff Godbloch, Programming and Technical Writer

Daniel Gill and Toshi Yamada at Alesis US for the opportunity, technical advice, and much much help.
Everyone at Fusion Production Forums for their ideas and encouragement
Jesse Smith for being extremely patient with us

And...

Cheryl Ann Mays at SamplerZone for the best sales team ever
Sandi Tepper with Provare Technology
Christian Schmitz, Glenn Austin, Joe Strout for prompt, clear, concise technical assistance
Dan Dean and Ernest Cholakis for timely feedback and friendship
David Viens at Plogue for SFZ assistance
Kyle Zambora at Nine Volt Audio for great ideas and partnership
Larry Hopkins for more great ideas and hospitality
Native Instruments, Digidesign, Eastwest, Akai/Alesis, Kurzweil, and Emu product managers and technical support crews for their thoroughness and assistance.


Fusion Creator - Displays - Keyboard

The Keyboard Optional Display

Since the Fusion is basically a keyboard, and everything revolves around a keyboard, so it's just natural that we put a keyboard display on a Fusion documet. It shows you what the contents of the current Multisample are, allows you to select a Sample within the Multisample, and also allows dropping to import Samples into the currently selected Multisample and determine their Key Ranges.

Sample View
The Keyboard display shows in alternating pink and green the Samples that are referenced in the currently selected Multisample (on the Multisamples List). Velocities are also shown, in various tints.

Sample Select
By clicking on the Keyboard display, this selects the Sample according to where you clicked. This also pertains to Velocity -the higher up you click, the higher velocity gets selected.

Sample Import
By dragging and dropping external Samples (WAVE and AIFF) onto the Keyboard display, this allows you to import Samples into the currently selected Multisample. If you drag more then one Sample or a Folder, multiple overlays will appear as you drag onto top of the display, with a maximum of an octave spread. Dragging higher on the Keyboard makes for wider spreads.

Dropping on the Keyboard display imports the Samples into the currently selected Multisample. If there are overlapping Samples, they are deleted or cut-away - this is because Multisamples do not allow overlapping.


Fusion Creator -Displays - Wave

The Wave Optional Display

No editor would be complete without a Wave Display!

Although there is one in the proper place in the Sample Editor, you can display one on the main screen by checking the Wave Display menu in the top-level View menu, or the master Gear Menu.

This displays what you play in the Sample list. There are no transport controls; well, there actually is - the single button on the Sample List performs this function.


Fusion Creator - Editors

Editors

In large part you'll do much of your adding/editing/deleting using the Main Screen. But when you need to view or tweak a certain parameter within a Fusion object, that's where the Editors come in. You invoke an Editor by double-clicking on an object, or by using the Gear, Ctl/Right-click Context, or top-level menu. Hint: don't double-click on the Name, it just sets the Name up for editing. Double-click to the left or right of the Name.

There are four Editors: Program, Oscillator/Zone, Multisample, and Sample.

  • For information on the Program Editor, click here.
  • For information on the Oscillator/Zone Editor, click here.
  • For information on the Multisample Editor, click here.
  • For information on the Sample Editor, click here.
  • For information on the Mix Editor, click here.
  • For information on the Part Editor, click here.


Fusion Creator Table Of Contents

Contents

Documentation
Introduction
Basic Concepts

The Fusion File Document
Main Screen
Fusion Object Views
Keyboard Optional Display
Wave Optional Display

Working with Objects
Adding Objects
Deleting Objects
Editing Objects
Renaming Objects
The Fusion Player
Preparing/Importing Multisamples
Editing Samples Externally
Exchanging Objects
Auditioning Samples/Objects
Importing External Instruments
AutoSampler

Editors
Program Editor
Osc/Zone Editor
Multisample Editor
Sample Editor
Mix Editor
Part Editor

Menus
File
Programs
Multisamples
Samples
Mixes
View
Help

Gear/Context Menus
Master
Voice
Waveform
Sample
Performance

Other
Preferences
Tutorials

Support
Troubleshooting
FAQ
Bug Reports
Sending Files
Support
Updating
Credits
Contact Us